colorscheme vim
hi TabLine gui=underdouble guibg=Black
hi TabLineFill gui=underdouble
hi TabLineSel gui=bold,reverse

set guicursor=
set guifont=Liberation\ Mono:h14
let g:neovide_cursor_animation_length=0

set tabstop=4
set shiftwidth=4

set virtualedit=all
set clipboard+=unnamedplus

set number
set linebreak

set scrolloff=3

highlight ExtraWhitespace ctermbg=red guibg=red
match ExtraWhitespace /\s\+$/

set statusline=
set statusline+=%-3.3n
set statusline+=%f\ 
set statusline+=%h%m%r%w\ 
set statusline+=%{strlen(&fenc)?&fenc:&enc}
set statusline+=%=
set statusline+=%b,0x%-8B\ 
set statusline+=%-14.(%l,%c%V%)\ %<%P

set smartcase

map <C-a> :%y<CR>
map <C-s> :%s/\s\+$//e<CR>
map <C-d> :nohlsearch<CR>
map <C-f> :set invspell<CR>
map <C-g> :%d<CR>
map <C-h> :tabn<CR>
map <C-j> :tabp<CR>

function! SmartHome()
	let first_nonblank = match(getline('.'), '\S') + 1
	if first_nonblank == 0
		return col('.') + 1 >= col('$') ? '0' : '^'
	endif
	if col('.') == first_nonblank
		return '0'
	endif
	return &wrap && wincol() > 1 ? 'g^' : '^'
endfunction
noremap <expr> <silent> <Home> SmartHome()
imap <silent> <Home> <C-O><Home>

set backup
set backupdir=~/.local/share/nvim/tmp
set directory=~/.local/share/nvim/tmp
