#!/usr/bin/env bash

source /etc/pf-vendor/ip-blocklist.conf

DATAF=${STATE_DIRECTORY}/subnets.conf

IPS=$(mktemp)

for url in ${SOURCES}; do
	CURR=$(mktemp)
	curl -sL ${url} | grep -vE '^#|^$' >"${CURR}"
	cat "${CURR}" >>"${IPS}"
	echo "Fetched $(wc -l <"${CURR}") IPv4 record(s) from ${url}"
	rm -f "${CURR}"
done

echo "elements = {" >"${DATAF}"
cat "${IPS}" | sed 's|$|,|g' >>"${DATAF}"
echo "}" >>"${DATAF}"

echo "Fetched $(wc -l <"${IPS}") IPv4 record(s) in total"
rm -f "${IPS}"

DATAF=${STATE_DIRECTORY}/subnets6.conf

IPS=$(mktemp)

for url in ${SOURCES6}; do
	CURR=$(mktemp)
	curl -sL ${url} | grep -vE '^#|^$' >"${CURR}"
	cat "${CURR}" >>"${IPS}"
	echo "Fetched $(wc -l <"${CURR}") IPv6 record(s) from ${url}"
	rm -f "${CURR}"
done

echo "elements = {" >"${DATAF}"
cat "${IPS}" | sed 's|$|,|g' >>"${DATAF}"
echo "}" >>"${DATAF}"

echo "Fetched $(wc -l <"${IPS}") IPv6 record(s) in total"
rm -f "${IPS}"

echo Done.
