#!/usr/bin/env bash

__RESTIC_EXTRA_OPTS=""

if [[ ! -z "${RESTIC_MAX_FILE_SIZE}" ]]; then
	__RESTIC_EXTRA_OPTS="${RESTIC_EXTRA_OPTS} --exclude-larger-than=${RESTIC_MAX_FILE_SIZE}"
fi

restic backup --exclude-file=/etc/pf-vendor/restic-backup.conf.excludes --files-from=/etc/pf-vendor/restic-backup.conf.includes --verbose ${__RESTIC_EXTRA_OPTS}
restic unlock
restic forget --keep-daily=7 --keep-weekly=4 --keep-monthly=12 --keep-yearly=10 --prune
